Subject: [alpine-aports] [PATCH] testing/waitforit: new aport

From: Max Claus Nunes <[email-masked]>
Date: Thu, 29 Sep 2016 21:05:07 -0300

https://github.com/maxcnunes/waitforit

A tool written in Golang to wait until an address become available.
---
 testing/waitforit/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/waitforit/APKBUILD

diff --git a/testing/waitforit/APKBUILD b/testing/waitforit/APKBUILD
new file mode 100644
index 0000000..88e4f1d
--- /dev/null
+++ b/testing/waitforit/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Max Claus Nunes <[email-masked]>
+# Maintainer: Max Claus Nunes <[email-masked]>
+pkgname=waitforit
+pkgver=1.3.2
+pkgrel=0
+pkgdesc="Wait until an address become available"
+url="https://github.com/maxcnunes/waitforit"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev go"
+install=""
+subpackages=""
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/maxcnunes/waitforit/archive/v$pkgver.tar.gz"
+
+builddir="${srcdir}/${pkgname}-${pkgver}"
+_godir="${srcdir}/go"
+_gourl="github.com/maxcnunes/waitforit"
+
+build() {
+	mkdir -p ${_godir}/bin ${_godir}/src/github.com/maxcnunes
+	ln -sf ${builddir} ${_godir}/src/github.com/maxcnunes/waitforit
+
+	cd ${_godir}/src/${_gourl}
+	export GOPATH="${_godir}"
+
+	go get -d -v ./...
+	go install -v ${_gourl} || return 1
+}
+
+package() {
+	cd "$_godir"/bin
+
+	install -Dm755 waitforit \
+		"${pkgdir}/usr/bin/waitforit" || return 1
+}
+
+md5sums="1d7d2d25386cd732c03fb63324ba3d15  waitforit-1.3.2.tar.gz"
+sha256sums="8359692a2f63b5a13e831919f6ac51cf98ec7eb7b6e07038566c5ae21f40abe3  waitforit-1.3.2.tar.gz"
+sha512sums="c50933cab19e160ea591cc2ee7793167b918c7c1dd94fcdf6f70c9744e92ce8287fad1ec135a325fc256fa3af8182d104595829c0627fd956f2a5b50ed2155a6  waitforit-1.3.2.tar.gz"
-- 
2.9.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---